# Microstepper

High-resolution frequency/phase-microstepper for timing laboratories. [More info at the Wiki page](https://www.ohwr.org/project/microstepper/wiki)

Licensed under CERN-OHL-S v2 or later, see https://ohwr.org/cernohl

- /Documentation contains documentation in the form of diagrams and documents
- /scripts contains helper-scripts for design-phase calculations and operation
- Schematic and PCB designs with KiCad:
  - /mixerboard
  - /ddsboard
  - /ocxo_board
  - PICDIV (see https://github.com/aewallin/PICDIV_Board_v3)
  - /mkr_ioboard (connects Arduino SPI signals to ddsboard)
- Firmware
  - /dds_sw   Firmware for control of ddsboard with Arduino MKR ZERO
  
